/**
 * File: RFIDEvent.java
 * Description: event handler when RFID tag is scanned
 * 
 * Smart Houses for the Blind
 * MQP EOA 0019
 * Authors: Ben Lipson, Devin Thomas, Punit Dharani
 * 
 * Version 4/03/12
 */
package eoa.rfid;

import java.util.EventObject;

public class RFIDEvent extends EventObject 
{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private String _cp;
	public RFIDEvent(Object src, String cp) 
	{
		super(src);
		_cp = cp;
	}
	
	/**
	 * Get the ID of the tag just scanned
	 * @return String id
	 */
	public String getCP()
	{
		return _cp;
	}

}
